Subject: Re: bug#69561: 30.0.50; Freeze from M-x gnus on macOS

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Mar 2024 18:52:41 +0200

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 05 Mar 2024 17:38:14 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > But wait: epg-wait-for-status seems to wait for one or more processes
> > to exit.  So what is the status of the process for which it waits?  Is
> > it running, or did it perhaps already exit?
> 
> I could see gpg running in Activity Monitor.

"Running" as in "consuming CPU", or just didn't exit yet?

Maybe you should attach a debugger to gpg and try to understand what
is it doing and why it doesn't exit?

> I'm currently trying to bisect when this problem started. I can't force
> the freeze to happen, but I hope that surviving a day or two can be
> counted as a good version, when it freezes at leasst once a day with
> master. Maybe I can find the culprit that way.

Could be.  But if you could establish why gpg isn't exiting, you could
perhaps make progress faster.